:root {
    --fundo-branco-primario: #ffffff;
    --fundo-branco-secundario: #e0e0e0;
    --fundo-branco-terceario : #f8f9fa;
    --cor-azul-primaria: #007bff;
    --cor-azul-secundaria: #0056b3;
    --cor-preto-primario: #000;
}

#toggle-button {
    padding: 8px 16px;
    background-color: var(--cor-azul-primaria); 
    color: var(--fundo-branco-primario); 
    border: none;
    border-radius: 8px;
    cursor: pointer;
    transition: all 0.3s ease;
    font-size: 16px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1); 
    margin: 10px;
}

#toggle-button:hover {
    background-color: var(--cor-azul-secundaria); 
    box-shadow: 0 6px 12px rgba(0, 0, 0, 0.2); 
}

#toggle-button:focus {
    outline: none;
    box-shadow: 0 0 0 3px rgba(38, 143, 255, 0.5); 
}

main {
    padding: 20px;
    min-height: 100vh;
}

.titulo {
    text-align: center;
    margin-bottom: 20px;
}

.navegacao nav {
    display: flex;
    justify-content: center;
    gap: 30%;
    margin-bottom: 20px;
}

.navegacao a {
    text-decoration: none;
    color: var(--cor-preto-primario);
}

.tarefas {
    margin: 0 auto; /* Centraliza a div, caso você use largura fixa */
    max-width: 1000px; /* Largura máxima, ajuste conforme necessário */
    display: flex;
    flex-direction: column;
    background-color: var(--fundo-branco-secundario);
    padding: 20px;
    padding-bottom: 100px;
    min-height: 150px; /* Altura mínima, ajuste conforme necessário */ 
    box-sizing: border-box;
}

.tarefas > div {
    background-color: var(--fundo-branco-primario);
    border: 2px solid #cccccc;
    padding: 20px;
    box-sizing: border-box;
    margin-bottom: 10px;
}

.incluir-tarefa {
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    background-color: var(--fundo-branco-terceario);
    padding: 20px;
    box-shadow: 0 -2px 10px rgba(0, 0, 0, 0.1);
    box-sizing: border-box;
}

.grupo-formulario {
    display: flex;
    align-items: center;
    margin-bottom: 10px; 
}

.grupo-formulario label {
    min-width: 80px; 
    color: var(--cor-preto-primario);
}

.grupo-formulario input[type="text"],
.grupo-formulario textarea {
    flex: 1; 
    padding: 5px;
    background-color: var(--fundo-branco-primario);
    color: var(--cor-preto-primario); 
    border: 1px solid #cccccc;
    box-sizing: border-box;
}

.grupo-formulario input[type="text"] {
    margin-right: 10px;
}

.grupo-formulario textarea {
    margin-right: 20px; 
    resize: vertical;
    min-width: 40px;
    max-height: 50px;
}

label[for="data"] {
    display: block;
    margin-bottom: 5px;
    color: var(--cor-preto-primario);
}

.grupo-formulario input[type="date"] {
    margin-right: 10px;
    margin-left: -40px;
    background-color: var(--fundo-branco-primario);
    color: var(--cor-preto-primario); 
    border: 1px solid #cccccc; 
    border-radius: 4px;
    box-sizing: border-box; 
}

input[type="date"]:focus {
    outline: none;
    border-color: var(--cor-azul-primaria); 
    box-shadow: 0 0 3px rgba(0, 123, 255, 0.5);
}

.grupo-formulario button {
    padding: 10px 20px;
    background-color: var(--cor-azul-primaria);
    color: var(--fundo-branco-primario); 
    border: none;
    border-radius: 5px; 
    cursor: pointer;
    transition: background-color 0.3s ease;
    margin-left: 10px; 
}

.grupo-formulario button:hover {
    background-color: var(--cor-azul-secundaria); 
}
